Foreman - Bug #32372

Wrong destination path for pre section logs in kickstart_default template
04/21/2021 11:17 AM - Martin Schlossarek

Status: Closed

Priority: Normal

Assignee: Martin Schlossarek
Category: Templates

Target version:

Difficulty: trivial Fixed in Releases: 241,25.0
Triaged: Yes Found in Releases: 2.4.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/g457,

https://github.com/theforeman/foreman/p

ull/8462,

https://github.com/theforeman/foreman/p

ull/8478
Description

Copying the pre section logs (/tmp/*pre*log) to root of sysimage fails because of a wrong destination path:

cp -vf /tmp/*pre*log /tmp/sysimage/root/
/tmp/sysimage does not exist. It should be /mnt/sysimage.

This was introduced in #28521.

Related issues:
Related to Foreman - Bug #28521: Default kickstart places log to /mnt/sysimag... Closed

Associated revisions

Revision ceb276fb - 04/22/2021 08:34 AM - Martin Schlossarek
Fixes #32372 - Correct path for logs in kickstart

bb4633bcd4facc339a8099f4a8e89312323d8b61 refactored the kickstart but
used an incorrect path for logs in the %pre section. This corrects it.

Revision 4a720456 - 04/22/2021 06:15 PM - Martin Schlossarek
Refs #32372 - correct remaining paths

bb4633bcd4facc339a8099f4a8e89312323d8b61 refactored the atomic kickstart but
used an incorrect path for logs in the %pre section. This corrects it.

History

#1 - 04/21/2021 11:20 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8457 added

#2 - 04/21/2021 12:14 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes
- Found in Releases 2.4.0 added

#3 - 04/21/2021 12:15 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #28521: Default kickstart places log to /mnt/sysimage/root/install.post.log added

#4 - 04/22/2021 08:34 AM - The Foreman Bot
https://projects.theforeman.org/issues/28521

- Fixed in Releases 2.5.0 added

#5 - 04/22/2021 09:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ceb276tbe96b97770f5d292b1eadca0205a34a0a.

#6 - 04/22/2021 12:28 PM - Lukas Zapletal

- Status changed from Closed to New

There are two more occurrences of /tmp/sysimage so reopening to keep track of this. A customer just reported this today.

#7 - 04/22/2021 02:21 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8462 added

#8 - 04/22/2021 02:47 PM - Martin Schlossarek
Lukas Zapletal wrote:

There are two more occurrences of /tmp/sysimage so reopening to keep track of this. A customer just reported this today.

| also fixed the other two occurrences.
Actually | reported something different, but | also stumbled upon these incorrect paths. Don't know why the Red Hat Support refers to this issue now...

Kind regards,
the customer ;)

#9 - 04/28/2021 12:46 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8478 added

#10 - 05/05/2021 02:10 PM - Tomer Brisker
- Status changed from Ready For Testing to Closed

#11 - 06/02/2021 01:54 PM - Amit Upadhye
- Fixed in Releases 2.4.1 added
